<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Sales Order</title>
  <link rel="stylesheet" href="./assets/css/sOview.css">

<link rel = "icon" href = "./assets/image/Manila Bay Thread Icon.png">

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

<!--Bootstrap CSS-->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

<!--Fontawesome-->
<link href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" rel="stylesheet" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

</head>

<body>
   
<div class="header">
  <div><img class="menu" src="../assets/image/Manila Bay Threads Logo.png">
</div>
 
  <div>
    <h2>Sales Order Details</h2>
  </div>   

  <div class="userMenu">
    <span style="margin-right: 5px;">Welcome </span>
      <span class="createdBy"></span>
        <img  style="margin-right: 5px;" src="../assets/image/icons8-user-64.png" class="userIcon" type="image">
    <a style="margin-right: 5px;" href="#" class="logOut">Log Out</a>
  </div>
</div>

<form id="salesOrderForm">
    <br>
         
    <div class="buttonRow"> </div>

    <div class="formHeader d-flex py-3">
    <div class="col-md-4"></div>
    <div class="col-md-4">
        <h5 class="text-center">Account Information</h5>
    </div>
</div>

<div class="container-fluid mt-4 mb-5 px-5 overflow-hidden">
  
    <div class="row g-2">

        <div class="form-group d-flex">
            
            <div class="col-md-2 py-2">
                <label for="AccountName" class="form-label">Account Name:</label>
            </div>
            <div class="col-md-4 py-2 pe-5">
                <input type="hidden" name="id" value="">
                <input type="text" class="form-control dataField" id="accountName" name="accountName" required>
            </div>
            <div class="col-md-2 py-2 ps-5">
                <label for="status" class="form-label">Status:</label>
            </div>
            <div class="col-md-1 py-2">
                <input type="text" class="form-control dataField" id="status" name="status" value="New" readonly="True">
            </div>  

        </div>
    </div>

    <div class="row g-2">

        <div class="form-group d-flex">

            <div class="col-md-2 py-2">
                <label for="shipTo" class="form-label">Ship-To:</label>
            </div>
            <div class="col-md-4 py-2 pe-5">
                <input type="text" class="form-control dataField" id="shipTo" name="shipTo" readonly>
            </div>
            <div class="col-md-2 py-2 ps-5">
                <label for="createdOn" class="form-label">Created On:</label>
            </div>
            <div class="col-md-4 py-2">
                <input type="text" class="form-control dataField" id="createdOn" name="createdOn" readonly>
            </div>    

        </div>
    </div>

    <div class="row g-2">
        <div class="form-group d-flex">

            <div class="col-md-2 py-2">
                <label for="paymentTerms" class="form-label">Payment Terms:</label>
            </div>
            <div class="col-md-4 py-2 pe-5">
                <input type="text" class="form-control dataField" id="paymentTerms" name="paymentTerms" readonly>
            </div>
            <div class="col-md-2 py-2 ps-5">
                <label for="currency" class="form-label">Currency:</label>
            </div>
            <div class="col-md-4 py-2">
                <input type="hidden" name="id" value="">
                <input type="text" list="currencies" class="form-control dataField currency" id="currency" required>
                <datalist id="currencies">
                </datalist>
            </div>

        </div>
    </div>

    <div class="row g-2">
        <div class="form-group d-flex">

            <div class="col-md-2 py-2">
                <label for="requestedDate" class="form-label">Requested Date:</label>
            </div>
            <div class="col-md-4 py-2 pe-5">
                <input type="date" class="form-control dataField" id="requestedDate" name="requestedDate" id="requestedDate">
            </div>
            <div class="col-md-2 py-2 ps-5">
                <label for="postingDate" class="form-label">Posting Date:</label>
            </div>
            <div class="col-md-4 py-2">
                <input type="text" class="form-control dataField" id="postingDate" name="postingDate" readonly>
            </div>

        </div>
    </div>

    <div class="row g-2">
        <div class="form-group d-flex">

            <div class="col-md-2 py-2">
                <label for="externalReference" class="form-label">External Reference:</label>
            </div>
            <div class="col-md-4 py-2 pe-5">
                <input type="text" class="form-control dataField" id="externalReference" name="externalReference" placeholder="Enter external reference">
            </div>
            
            <div class="col-md-2 py-2 ps-5">
                <label for="sapSalesOrderNo" class="form-label">SAP Sales Order No.:</label>
            </div>
            <div class="col-md-4 py-2">
                <input type="text" class="form-control dataField" id="sapSalesOrderNo" name="sapSalesOrderNo" readonly="True">
            </div>

        </div>
    </div>
   
    <div class="row g-2">
        <div class="form-group d-flex">
            <div class="col-md-2 py-2">
                <label for="comment" class="form-label">Comments:</label>
            </div>
            <div class="col-md-10 py-2">
                <textarea class="form-control dataField" id="comment" name="comment" rows="3" placeholder="Type in your comment here"></textarea>
            </div>
        </div>
    </div>        
</div>
<!--/Account Info-->

<!--Sales Order Header-->
<div class="formHeader container-fluid d-flex justify-content-center mt-5 py-3">
    <h5 class="text-center">Sales Order Details</h5>
</div>
<!--/Sales Order Header-->

<!--Sales Order Details-->
<div class="container-fluid mt-4 mb-5 px-5 overflow-hidden">
     <table class="table table-striped">
       

        <thead>
            <tr>
                <th>Line No.</th>
                <th>Product ID</th>
                <th>Product Description</th>
                <th>Quantity</th>
                <th>Unit of Measure</th>
                <th>Unit Price</th>
                <th>Total Amount</th>

                <th>Action</th>
            </tr>
        </thead>
        <tbody id="table_body">  
            <tr>
                <td class="number">                 
                    <!-- <input type="text" class="dataField" id="lineNo" name="lineNo" required> -->
                    1
                </td>

                <td>
                    <input type="hidden" name="id" value="">
                    <input type="text" list="products" class="form-control dataField product" id="product" required>
                    <datalist id="products">
                    </datalist>
                </td>
                <td><input type="text" class="form-control dataField" id="productDescription" name="productDescription" readonly></td>
                <td><input type="number" class="dataField" id="quantity" name="quantity" required></td>
                <td>
                    <input type="hidden" name="id" value="">
                    <input type="text" list="uoms" class="form-control dataField uom" id="uom" required>
                    <datalist id="uoms">
                    </datalist>
                </td>
                <td><input type="text" class="form-control dataField" id="unitPrice" name="unitPrice" readonly></td>
                <td><input type="text" class="form-control dataField" id="totalAmount" name="totalAmount" readonly></td>
                
                <td>
                    <div class="d-flex justify-content-center">
                        <button class="crudButton button btn me-1" onclick="create_tr('table_body')">
                            <i class="fas fa-plus"></i>
                        </button>
                        <button class="crudButton button btn ms-1" onclick="remove_tr(this)">
                            <i class="far fa-trash-alt"></i>
                        </button>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>

</div>
<!--/Sales Order Details-->

</diV>     
</form>

    

</body>
<script src="./assets/js/salesOrderCreation.js"></script>    
                      
<footer class="footer">
  <a  href="https://www.service101plus.com/"> <img id="imgsaplogo" src="./assets/image/Service101Plus Icon.png" style="height: 25px;">Copyright © 2021 All Rights Reserved | Service 101 plus Consulting Inc.</a>
</footer>
</html>
